Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I've installed mod_perl, and even tried enabling it, unfortunately it seems to be preventing apache from starting.

LoadModule perl_module modules/mod_perl.so

here's the error.

/usr/sbin/apachectl: line 84: 25312 Segmentation fault      $HTTPD -k $ARGV

I switched httpd to run httpd.itk instead of worker.

share|improve this question

1 Answer 1

up vote 1 down vote accepted

I get the same problem with i686 Arch. I just did a pacman -Syu this morning, and a pacman -S extra/mod_perl right now. I picked up Perl 5.14 with this morning's update.

Looks like some kind of bug: https://bugs.archlinux.org/task/25008

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.